function plot_region_density(region_ind, T, pts, density, gca)

for r = 1:length(region_ind)
    region_tri_ind =  region_ind{r};
    region_tri =  T(region_tri_ind,:);
    rpts = pts(region_tri,:);
    mu = mean(rpts,1);
    text(mu(1), mu(2), num2str(density(r)), 'HorizontalAlignment', 'Center');
end